#include "can200.h"

extern unsigned int far BASE;
unsigned char far ResetRequest(unsigned char);
unsigned char far TestResetRequest(void);

unsigned char far B_SetInputFilter(unsigned char mask,unsigned char kod)
{
  if(GetWorkMode()!=BasicCAN) return 1;
 if (TestResetRequest()==NormalMode)
  {                          // если канал находится в рабочем режиме
	ResetRequest(ResetMode); // переводим его в режим сброса
	while(TestResetRequest()!=ResetMode);
  }
  outportb(BASE+4,kod);     // установка нового идентификатора входн. фильтра
  outportb(BASE+5,mask);    // установка новой маски входного фильтра
  ResetRequest(NormalMode); // перевод канала в рабочий режим
  return 0;
}

